### Hierarchy

- BpmnParser

## Index

### Methods

- generateConstantsForBpmnFiles
- getMessageNames
- getProcessId
- getTaskTypes
- parseBpmn

## Methods

### Static generateConstantsForBpmnFiles

- generateConstantsForBpmnFiles(filenames: string | string[]): Promise<string>

- - Defined in lib/BpmnParser.ts:43

  Generate TypeScript constants for task types and message names in BPMN files

  #### Parameters

  - ##### filenames: string | string[]

    a BPMN file path or array of BPMN file paths

  #### Returns Promise<string>

### Static getMessageNames

- getMessageNames(processes: object[] | object): Promise<string[]>

- - Defined in lib/BpmnParser.ts:104

  Take one or more parsed BPMN objects and return an array of unique message names.

  #### Parameters

  - ##### processes: object[] | object

    A parsed BPMN object, or an array of parsed BPMN objects.

  #### Returns Promise<string[]>

### Static getProcessId

- getProcessId(bpmnString: string): any

- - Defined in lib/BpmnParser.ts:25

  #### Parameters

  - ##### bpmnString: string

  #### Returns any

### Static getTaskTypes

- getTaskTypes(processes: object[] | object): Promise<string[]>

- - Defined in lib/BpmnParser.ts:87

  Take one or more parsed BPMN objects and return an array of unique task types.

  #### Parameters

  - ##### processes: object[] | object

    A parsed BPMN object, or an array of parsed BPMN objects.

  #### Returns Promise<string[]>

### Static parseBpmn

- parseBpmn(filenames: string | string[]): object

- - Defined in lib/BpmnParser.ts:10

  Read BPMN files and return an array of one or more parsed BPMN objects.

  #### Parameters

  - ##### filenames: string | string[]

    A single BPMN file path, or array of BPMN file paths.

  #### Returns object

Generated using TypeDoc